#! /bin/sh
#
#

# 项目名称
APPLICATION="niucai-task"

# 项目启动jar包名称
PROCESS_SIGN="java -jar .*${APPLICATION}.*.jar"

PID=$(ps -ef | grep ${PROCESS_SIGN} | grep -v grep | awk '{ print $2 }')

if [[ -n $PID ]]; then
    echo "Origin pid: $PID"
    kill -9 $PID
    echo "${APPLICATION} stopped successfully"
    echo
fi

BASE_PATH=$(cd `dirname $0`; cd ..; pwd)
APPLICATION_FILE="${BASE_PATH}/$1"
echo "Ready to start ${APPLICATION_FILE}"

nohup java -jar $APPLICATION_FILE >> server.log 2>&1 &

newPID=$(ps -ef|grep ${PROCESS_SIGN}|grep -v grep|awk '{ print $2 }')

if [[ -z $newPID ]]; then
    echo "${APPLICATION} start fail"
else
    echo "${APPLICATION} start success. PID: $newPID"
fi

echo

tail -f server.log
