package com.xiaoniu.niucai.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "job-cron")
public class JobCronConfig {
    private Integer poolSize;
    private String crawlFootball;
    private String crawlBasketball;
    private String crawlLottery;
    private String cleanCrawlSpam;
    private String orderExpire;
    private String sportPrize;
    private String lotteryPrize;
    private String matchException;
}
