package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 方案条目
 * </p>
 *
 * @author admin
 * @since 2020-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBettingPlanItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "item_no", type = IdType.AUTO)
    private Integer itemNo;

    private Integer planId;

    private String summary;

    private Integer leagueId;

    private String leagueName;

    private Integer matchId;

    private String matchWeek;

    private String matchDate;

    private Integer homeTeamId;

    private String homeTeamName;

    private Integer awayTeamId;

    private String awayTeamName;

    private Integer amount;

    private String playWay;

    private Boolean isDan;

    private Boolean isMulti;

    private String firstNums;

    private String firstDan;

    private String secondNums;

    private String secondDan;

    private LocalDateTime createDate;

    private Integer status;

    @TableField(exist = false)
    private Integer charges;

    @TableField(exist = false)
    private List<TaBettingPlanSportDetail> detailList;
}
