package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 客户投注明细 
 * </p>
 *
 * @author admin
 * @since 2020-09-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomerBettingItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "item_no", type = IdType.AUTO)
    private Integer itemNo;

    private Integer bettingId;

    private Integer planItemNo;

    private Boolean isOpen;

    private String openingDate;

    private Boolean isWinning;

    private String winLevel;

    private Integer winAmount;

    private Integer openingStatus;

    private LocalDateTime createDate;

    private Integer status;

    @TableField(exist = false)
    private List<TaCustomerBettingSport> sportList;
}
