package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * <p>
 * 订单主表 
 * </p>
 *
 * @author admin
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "order_id", type = IdType.INPUT)
    private String orderId;

    private String orderType;

    private Integer amount;

    private Integer charge;

    private Integer shopId;

    private Integer customerId;

    private Integer bettingId;

    private LocalDateTime createDate;

    private Integer status;

    private Integer payStatus;

    private String outTradeNo;

    private String tradeNo;

    private LocalDateTime updateDate;

    private String srcOrder;
}
