package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 彩种销售时间
 * </p>
 *
 * @author admin
 * @since 2020-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdLotteryOnSale implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    private String lotteryId;

    private Integer weekDay;

    private String lotteryTime;

    private String openingTime;

    private String closingTime;

    private Integer scheduleFreq;

    private Integer nextWeekDay;

    private LocalDateTime createDate;

    private Boolean status;
}
