package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 彩种中奖设置 
 * </p>
 *
 * @author admin
 * @since 2020-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdLotteryPrize implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    private String lotteryId;

    private String level;

    private String playWay;

    private String bingoRule;

    private Boolean round;

    private Integer moneyAward;

    private Boolean isDynamic;

    private String calcFormula;

    private Boolean isByWay;

    private Boolean isByRound;

    private Integer maxPrice;

    private Integer maxAddPrice;

    private Integer status;
}
