package com.xiaoniu.niucai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xiaoniu.niucai.entity.TaMatch;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 比赛  Mapper 接口
 * </p>
 *
 * @author admin
 * @since 2020-09-02
 */
@Mapper
public interface TaMatchMapper extends BaseMapper<TaMatch> {
    List<TaMatch> getLastOpenAndUndoMatch(@Param("days") int days) throws Exception;

    List<TaMatch> getLastExcAndUndoMatch(@Param("hours") int hours) throws Exception;

    void callProcedure(@Param("procedureName") String procedureName);
}
