package com.xiaoniu.niucai.task;

import com.xiaoniu.niucai.service.ITaMatchService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class CleanCrawlSpam implements Runnable {

    @Autowired
    ITaMatchService iTaMatchService;

    @Override
    public void run() {
        log.info("开始清理爬虫垃圾数据");
        iTaMatchService.callProcedure("pro_clear_sport_crawl_spam");
    }
}
