package com.xiaoniu.niucai.task;

import com.xiaoniu.niucai.service.ITaMatchService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class MatchException implements Runnable {

    @Autowired
    ITaMatchService iTaMatchService;

    @Override
    public void run() {
        log.info("开始处理异常的比赛");

        try {
            iTaMatchService.checkExcMatches();
        } catch (Exception e) {
            e.printStackTrace();
            log.error("校验异常比赛错误: {}", e.getMessage());
        }
    }
}
