package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 体彩方案玩法明细 
 * </p>
 *
 * @author admin
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaBettingPlanSportDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    private Integer itemNo;

    private Integer matchId;

    private String wayCode;

    private String wayName;

    private String odds;

    private String ruleCode;

    private String ruleName;

    private LocalDateTime createDate;

    private Integer status;
}
