package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 客户投注竞彩明细 
 * </p>
 *
 * @author admin
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomerBettingSport implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    private Integer bettingId;

    private Integer itemNo;

    private Integer detailNo;

    private Integer matchId;

    private String ruleCode;

    private String oddsOrdered;

    private String oddsDrawn;

    private Boolean isWinning;

    private LocalDateTime createDate;

    private Integer status;
}
