package com.xiaoniu.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 订单支付 
 * </p>
 *
 * @author admin
 * @since 2020-10-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOrderPay implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    private String orderId;

    private String payClient;

    private String tradeNo;

    private String payee;

    private String payeeName;

    private String remitter;

    private String remitterName;

    private String tradeType;

    private Integer payFee;

    private String payReason;

    private LocalDateTime createDate;

    private LocalDateTime payTime;

    private Integer status;

    private String payResult;

    private String failReason;
}
