package com.xiaoniu.niucai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xiaoniu.niucai.service.ITaMatchOddsService;
import com.xiaoniu.niucai.entity.TaMatchOdds;
import com.xiaoniu.niucai.mapper.TaMatchOddsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 赔率 服务实现类
 * </p>
 *
 * @author admin
 * @since 2020-09-02
 */
@Service
public class TaMatchOddsServiceImpl extends ServiceImpl<TaMatchOddsMapper, TaMatchOdds> implements ITaMatchOddsService {

    @Autowired
    TaMatchOddsMapper taMatchOddsMapper;

    @Override
    public TaMatchOdds getByRule(Integer matchId, String ruleCode) {
        QueryWrapper<TaMatchOdds> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("match_id", matchId);
        queryWrapper.eq("rule_code", ruleCode);

        return getOne(queryWrapper);
    }
}
