package com.xiaoniu.niucai.task;

import com.xiaoniu.niucai.service.ITaMatchService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class SportPrize implements Runnable {

    @Autowired
    ITaMatchService iTaMatchService;

    @Override
    public void run() {
        log.info("开始处理体彩中奖订单");

        // 体彩中奖
        try {
            iTaMatchService.checkAndSetSportPrize();
        } catch (Exception e) {
            e.printStackTrace();
            log.error("校验体彩开奖结果错误: {}", e.getMessage());
        }
    }
}
